Bug 43430 - CROND Hangs in Red Hat 7.1
CROND Hangs in Red Hat 7.1
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: vixie-cron (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-04 17:55 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-15 02:23:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-06-04 17:55:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76C-ja  [en] (X11; U; FreeBSD 4.2-RELEASE i386)

Description of problem:
After a complete upgrade from Red Hat 7.0 to Red Hat 7.1 I noticed that
there are hung CROND processes.  This only happened after the upgrade, and
presists.  This was discovered by unusual load averages on a system that
has always had a load average of 0, and now has 10, and increasing.

ps -ef |grep -i cron procudes

[ahnoyd@superman ahnoyd]$ ps -ef|grep -i cron
root       531     1  0 Jun01 ?        00:00:00 crond
root      1583   531  0 Jun01 ?        00:00:00 CROND
root      1585  1583  0 Jun01 ?        00:00:00 CROND
root       778   531  0 Jun02 ?        00:00:00 CROND
root     18465   531  0 Jun03 ?        00:00:00 CROND
root     18466 18465  0 Jun03 ?        00:00:00 CROND
root      5965   531  0 06:00 ?        00:00:00 CROND
root      5968  5965  0 06:00 ?        00:00:00 CROND
ahnoyd   25772 25739  0 17:52 pts/0    00:00:00 grep -i cron

At a least hung state.  There was a machine with 30 hung CRONDs sleeping.

/var/log/cron & /var/log/cron.1 matched the PIDs for the hung CRONDs.

We were albe to determine that our commands, and programs have executed and
completed in a ``normal'' state.


The only other oddity I was able to see was

awk -v progname=/etc/cron.hourly  running for a long time on our new 7.1
machines.


Is there something amiss with cron?




How reproducible:
Always

Steps to Reproduce:
1. add cron entries ton crontab -e
2. wait a day or so "watch load averages"
3. ps -ef | grep -i crond
	

Actual Results:  you will notice mutiple hung CROND processes.

Expected Results:  only one crond process or so.

Additional info:

The only change to our systems was the RH 7.1 full upgrade.

Note You need to log in before you can comment on or make changes to this bug.